---
title: order
slug: Web/SVG/Attribute/order
tags:
  - Filters
  - SVG
  - SVG Attribute
---
<div>{{SVGRef}}</div>

<p>the <strong><code>order</code></strong> attribute indicates the size of the matrix to be used by a {{SVGElement("feConvolveMatrix")}} element.</p>

<p>Only one element is using this attribute: {{SVGElement("feConvolveMatrix")}}</p>

<div id="topExample">
<div class="hidden">
<pre class="brush: css">html, body, svg {
  height: 100%;
}</pre>
</div>

<pre class="brush: html; highlight[4,8]">&lt;svg viewBox="0 0 420 200" xmlns="http://www.w3.org/2000/svg"&gt;
  &lt;filter id="emboss1" x="0" y="0" width="100%" height="100%"&gt;
    &lt;feTurbulence baseFrequency="0.025" seed="0" /&gt;
    &lt;feConvolveMatrix kernelMatrix="3 0 0 0 0 0 0 0 -4" order="3"/&gt;
  &lt;/filter&gt;
  &lt;filter id="emboss2" x="0" y="0" width="100%" height="100%"&gt;
    &lt;feTurbulence baseFrequency="0.025" seed="0" /&gt;
    &lt;feConvolveMatrix kernelMatrix="3 0 0 0 0 0 0 0 -4" order="1 1 1"/&gt;
  &lt;/filter&gt;

  &lt;rect x="0" y="0" width="200" height="200" style="filter:url(#emboss1);" /&gt;
  &lt;rect x="0" y="0" width="200" height="200" style="filter:url(#emboss2); transform: translateX(220px);" /&gt;
&lt;/svg&gt;</pre>

<p>{{EmbedLiveSample("topExample", "480", "200")}}</p>
</div>

<h2 id="Usage_notes">Usage notes</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="row">Value</th>
   <td><code><a href="/en-US/docs/Web/SVG/Content_type#Number-optional-number">&lt;number-optional-number&gt;</a></code></td>
  </tr>
  <tr>
   <th scope="row">Default value</th>
   <td><code>3</code></td>
  </tr>
  <tr>
   <th scope="row">Animatable</th>
   <td>Yes</td>
  </tr>
 </tbody>
</table>

<dl>
 <dt><code>&lt;number-optional-number&gt;</code></dt>
 <dd>
 <p>This value indicates the number of cells in each dimension for the kernel matrix. The values provided must be {{cssxref("integer")}}s greater than zero. Values that are not integers will be truncated, i.e. rounded to the closest integer value towards zero. The first number, indicates the number of columns in the matrix. The second number, indicates the number of rows in the matrix. If no second number is not provided, it defaults to the first number.</p>

 <p>It is recommended that only small values (e.g., 3) be used; higher values may result in very high CPU overhead and usually do not produce results that justify the impact on performance.</p>
 </dd>
</dl>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName("Filters 1.0", "#element-attrdef-order", "order")}}</td>
   <td>{{Spec2("Filters 1.0")}}</td>
   <td>No change</td>
  </tr>
  <tr>
   <td>{{SpecName("SVG1.1", "filters.html#feConvolveMatrixElementOrderAttribute", "order")}}</td>
   <td>{{Spec2("SVG1.1")}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("svg.elements.feConvolveMatrix.order")}}</p>

